/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;
import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface ICriacao extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.criacao.criaid</code>.
     */
    public ICriacao setCriaid(Integer value);

    /**
     * Getter for <code>public.criacao.criaid</code>.
     */
    public Integer getCriaid();

    /**
     * Setter for <code>public.criacao.criaespecie</code>.
     */
    public ICriacao setCriaespecie(String value);

    /**
     * Getter for <code>public.criacao.criaespecie</code>.
     */
    public String getCriaespecie();

    /**
     * Setter for <code>public.criacao.criadata</code>.
     */
    public ICriacao setCriadata(Date value);

    /**
     * Getter for <code>public.criacao.criadata</code>.
     */
    public Date getCriadata();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface ICriacao
     */
    public void from(com.tabajara.base.tables.interfaces.ICriacao from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface ICriacao
     */
    public <E extends com.tabajara.base.tables.interfaces.ICriacao> E into(E into);

    @Override
    public default ICriacao fromJson(io.vertx.core.json.JsonObject json) {
        setCriaid(json.getInteger("criaid"));
        setCriaespecie(json.getString("criaespecie"));
        // Omitting unrecognized type java.sql.Date for column criadata!
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("criaid",getCriaid());
        json.put("criaespecie",getCriaespecie());
        // Omitting unrecognized type java.sql.Date for column criadata!
        return json;
    }

}
